summaryrefslogtreecommitdiffstats
path: root/scripts/cllogger
diff options
context:
space:
mode:
authorMatthew Lemon <lemon@x220.lan>2020-09-06 16:48:05 +0100
committerMatthew Lemon <lemon@x220.lan>2020-09-06 16:48:05 +0100
commite4640e28c8449eea66392052bfab57ce0cdd27f9 (patch)
tree2be81b55bc37da60599f4e6d434e74a57694962e /scripts/cllogger
first commit
Diffstat (limited to 'scripts/cllogger')
-rw-r--r--scripts/cllogger15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/cllogger b/scripts/cllogger
new file mode 100644
index 0000000..e13941f
--- /dev/null
+++ b/scripts/cllogger
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# We want to log stuff on a text file when there are interesting commands or snippets on the command line
+
+LOGFILE=/home/lemon/ownCloud/Textnotes/commandline_stuff.txt
+
+if [ $# -ne 1 ]; then
+ echo "You need to include a fucking string. Your message?"
+ exit 1
+fi
+
+echo $1
+echo $1 >> $LOGFILE
+
+echo "Ok, I've written that to the end of $LOGFILE."